import { DialogTransactionLineBaseComponent } from '../../../core/base/dialog-transaction-line-base.component';
import { SupplierLightObject } from '@colijnit/relationapi/build/model/supplier-light-object.bo';
export declare class DialogTransactionLineDirectSellComponent extends DialogTransactionLineBaseComponent {
    showClass(): boolean;
    selectedSupplier: SupplierLightObject;
    directSellPurchaseOrderNumber: number;
    stockForecastDeliveryDate: Date;
    committing: boolean;
    handleOkClick(): Promise<void>;
    handleCancelClick(): void;
    handleNoDirectSellClick(): Promise<void>;
    commit(directSell?: boolean): Promise<boolean>;
    protected transactionLineSet(): Promise<void>;
}
